Subject: Re: How can I avoid using a DOS box??
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Wed, 27 Nov 2002 11:23:01 -0800

Christopher Faylor wrote:

> I don't know how often I've expressed my opinion but I am mildly against
> it. The problem is that cygwin's pty implementation is not perfect. It
> can't run some native windows programs and it can deadlock occasionally.
> There are some patches available that potentially solve the deadlock issue
> but they need more testing.

Perhaps this can be viewed as a request to perfect rxvt/cygwin pty handling.

> Anyway, I'm concerned that defaulting to rxvt will just shuffle the bug
> reports from "How do I get scroll bars?" to "Why doesn't my XYZ software
> work right on CygWIN?"

It may shift the bug reports in such a way that this long standing 
problem (along with the "clicking on the close button of an rxvt window 
does not properly kill the underlying shell" bug).

I don't know, perhaps rxvt is not under the control of Cygwin developers...

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/